<?php

namespace App\Http\Controllers\V1\Repartidor;

use App\Http\Controllers\Controller;
use App\Models\Evidencia;

class RepartidorController extends Controller
{
    public function getEvidencias($idUser)
    {
        try {
            $evidencias = Evidencia::with('registros_evidencias')
            ->where('user_id', $idUser)
            ->orderBy('fecha_captura', 'desc')
            ->get();
            return $evidencias;
        } catch (\Exception $e) {
            return response()->json(['error' => ['mensaje' => ["Error al consultar tus evidencias"]]], 400);
        }
    }
}
