<?php

namespace App\Models;

use App\Traits\SecureDelete;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Producto extends Model
{
    use HasFactory;
    use SecureDelete;

    protected $fillable = [
        'nombre',
        'descripcion',
        'estatus',
        'user_id',
        'file_id'
    ];

    /**
     * obtiene el archivo que esta relacionado
     */
    public function files()
    {
        return $this->belongsTo(File::class, 'file_id', 'id');
    }

    // obtiene los retos relacionados a el
    public function retos()
    {
        return $this->belongsToMany(Reto::class, 'reto_productos');
    }
}
