<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRecompensasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('recompensas', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nombre', 600);
            $table->longText('descripcion_premio');
            $table->integer('meta_canje');
            $table->boolean('estatus')->default(1);
            $table->timestamps();

            //relacion a la tabla file
            $table->integer('file_id')->nullable()->unsigned();
            $table->foreign('file_id')
                ->references('id')
                ->on('files')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('recompensas');
    }
}
