# Changelog

All notable changes to this project will be documented in this file, since v7.0.0.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [8.0.0] - 2020-11-30

### Changed

 * feature: [sr, uz, me] #1453 Rename \*\_Cyrillic to \*\_Cyrl and \*\_Latin to \*\_Latn (php Intl)]

## [7.0.9] - 2020-11-30

### Changed

 * feature: [ar] #1419 #1431 #1447 #1462 validation-inline.php validation.php auth.php json file
 * feature: [es] #1414 #1416 #1417 #1422 #1442 #1450 #1452 validation.php validation-inline.php passwords.php json file
 * feature: [fr] #1441 json file
 * feature: [id] #1439 auth.php
 * feature: [it] #1435 #1459 validation-inline.php validation.php auth.php json file
 * feature: [km] #1418 auth.php validation.php passwords.php
 * feature: [ko] #1444 validation-inline.php validation.php auth.php json file
 * feature: [lt] #1434 #1436 #1449 validation-inline.php validation.php auth.php json file
 * feature: [nl] #1424 #1425 #1428 #1457 auth.php validation.php validation-inline.php json file
 * feature: [pl] #1420 validation-inline.php validation.php
 * feature: [de_CH] #1458 validation-inline.php validation.php
 * feature: [pt_Br] #1415 json file
 * feature: [ru] #1426 #1427 #1445 #1454 validation-inline.php validation.php auth.php json file
 * feature: [sv] #1430 json file
 * feature: [tr] #1448 #1456 json file
 * feature: [uk] #1446 json file
 * feature: [fa] #1451 json file
 * feature: [vi] #1433 #1443 validation-inline.php validation.php passwords.php auth.php json file

## [7.0.8] - 2020-10-11

### Changed

 * feature: #1383 #1411 [fr] json file
 * feature: #1385 [el] json file
 * feature: #1387 #1388 #1392 [ms] validation.php validation-inline.php passwords.php
 * feature: #1390 #1398 [ar] json file
 * feature: #1393 #1397 [ru] json file
 * feature: #1393 #1394 [en] add tags
 * feature: #1394 [es] json file
 * feature: #1395 [pl] json file
 * feature: #1400 [lt] json file
 * feature: #1402 #1413 [it] validation-inline.php auth.php passwords.php json file
 * feature: #1404 [pt] json file
 * feature: #1412 [de] json file

### Documentation

 * feature: #1386 Contributing

### Todo script

 * fix: #1406 ignores the additional informations

### Workflow

 * feature: #1401 #1403 Make todo
 * feature: #1405 template bug report

## [7.0.7] - 2020-10-02

### Changed

 * feature: #1375 [pt_BR] json file
 * feature: #1379 [hr] passwords.php
 * feature: #1380 [ms] validation.php
 * feature: #1381 [id] json file
 * feature: #1382 [tr] json file

### Todo script

 * feature: #1378 exclude translation

## [7.0.6] - 2020-09-30

### Changed

 * feature: #1339 #1369 [ar] json file
 * feature: #1352 [uz_*] validation auth password
 * feature: #1356 #1362 #1368 [ru] json file
 * feature: #1358 #1374 [pt] json file
 * feature: #1360 #1367 #1373 [pl] json file
 * feature: #1361 #1371 [es] json file
 * feature: #1361 #1368 [en] json file
 * feature: #1363 [sr_*] json file
 * feature: #1370 [de] json file
 * feature: [fr] json file

## [7.0.5] - 2020-09-23

### Changed

 * feature: #1327 #1328 [tr] validation.php
 * feature: #1330 [nl] json file
 * feature: #1331 [nl] validation-inline.php
 * feature: #1332 [hu] validation.php
 * feature: #1333 Laravel 8 support
 * feature: #1335 #1354 Add support for Laravel JetStream
 * feature: #1341 [es] json files
 * feature: #1341 #1346 [en] json files
 * feature: #1342 [pt] json files
 * feature: #1345 [it] json files
 * feature: #1346 [ru] json files
 * feature: #1351 [pl] json files

## [7.0.4] - 2020-09-11

### Changed

 * feature: new organization
 * feature: #1316 [sr_*] validation-inline file
 * feature: #1317 [es] json file
 * feature: #1318 [fa] validation.password
 * feature: #1320 [lt] validation-inline and validation
 * feature: #1323 #1324 [id] json and validation-inline
 * feature: #1326 [ko] validation-inline

## [7.0.3] - 2020-08-23

### Changed

 * feature: #1302 #1306 #1307 [Ne] Translated to Nepali Language (Validation-inline and json)
 * feature: #1310 [da] passwords.throttlled
 * feature: #1312 [es] validation and validation-inline
 * feature: #1313 [sq] validation-inline and validation translations

## [7.0.2] - 2020-08-05

### Added

 * Changelog file
 * #1293 [da] Add json

### Changed

 * feature: #1290 [pl] Translate validation-inline; tweak some validation translations
 * feature: #1291 [pt_BR] Update validation-inline
 * feature: #1292 [es] Update json
 * feature: #1294 Update readme
 * feature: #1295 [pt] Update json, validation-inline, validation and passwords
 * feature: #1297 [sq] Update auth, passwords and validation
 * feature: #1298 [si] Update passwords
 * feature: #1299 [zh_*] Update json and validation-inline
 * feature: #1300 [uk] validation-inline
 * feature: #1301 [uk] json

## [7.0.1] - 2020-07-14

### Added

 * json files for uz_Cyrillic and uz_Latin

### Changed

 * fix: #1269 json file names to follow ISO-15897

## [7.0.0] - 2020-07-13

### Changed

 * feature: #1269 Rename locale folders following ISO 15897 format

[Unreleased]: https://github.com/caouecs/Laravel-lang/compare/8.0.0...master
[8.0.0]: https://github.com/caouecs/Laravel-lang/compare/7.0.9...8.0.0
[7.0.9]: https://github.com/caouecs/Laravel-lang/compare/7.0.8...7.0.9
[7.0.8]: https://github.com/caouecs/Laravel-lang/compare/7.0.7...7.0.8
[7.0.7]: https://github.com/caouecs/Laravel-lang/compare/7.0.6...7.0.7
[7.0.6]: https://github.com/caouecs/Laravel-lang/compare/7.0.5...7.0.6
[7.0.5]: https://github.com/caouecs/Laravel-lang/compare/7.0.4...7.0.5
[7.0.4]: https://github.com/caouecs/Laravel-lang/compare/7.0.3...7.0.4
[7.0.3]: https://github.com/caouecs/Laravel-lang/compare/7.0.2...7.0.3
[7.0.2]: https://github.com/caouecs/Laravel-lang/compare/7.0.1...7.0.2
[7.0.1]: https://github.com/caouecs/Laravel-lang/compare/7.0.0...7.0.1
[7.0.0]: https://github.com/caouecs/Laravel-lang/compare/6.1.4...7.0.0
